spring.application.name=jobrunr

spring.threads.virtual.enabled=true

spring.profiles.active=${SPRING_PROFILES_ACTIVE:default}
spring.jackson.date-format=yyyy-MM-dd HH:mm:ss
spring.jackson.time-zone=Asia/Jakarta
## to Json Pretty print in browser
spring.jackson.serialization.indent-output=true
spring.mustache.check-template-location=false

# Tomcat
server.port=${PORT:8080}
## connection
server.tomcat.threads.max=${SERVER_TOMCAT_THREAD_MAX:210}
server.tomcat.threads.min-spare=${SERVER_TOMCAT_MIN_SPARE:30}
server.tomcat.max-connections=${SERVER_TOMCAT_MAX_CONNECTION:15000}

# Disable devtools - default true
spring.devtools.add-properties=true

spring.sql.init.platform=postgres
spring.datasource.driverClassName=org.postgresql.Driver
spring.datasource.url=jdbc:postgresql://${DB_HOST:localhost}:${DB_PORT:5432}/${DB_NAME:bitpg}
spring.datasource.username=${DB_USER:username123}
spring.datasource.password=${DB_PASS:password123}

# Logging config
logging.pattern.level=X-Request-ID=%X{X-Request-ID} %5p
#logging.level.org.atmosphere=DEBUG
#logging.level.org.springframework=DEBUG
#logging.level.org.springframework.web=DEBUG
logging.level.org.springframework.web.filter.CommonsRequestLoggingFilter=DEBUG
logging.level.org.apache.http.wire=DEBUG
logging.level.org.hibernate.SQL=WARN
log4j.logger.httpclient.wire=DEBUG
#logging.level.org.hibernate.type.descriptor.sql=TRACE
logging.level.com.zaxxer.hikari=ERROR
logging.level.com.zaxxer.hikari.HikariConfig=ERROR

# Hikari will use the above plus the following to setup connection pooling
## minimum number of idle connections maintained by HikariCP in a connection pool
spring.datasource.hikari.minimumIdle=${HIKARI_OPT_MINIMUM_IDLE:30}
## maximum pool size
spring.datasource.hikari.maximumPoolSize=${HIKARI_OPT_MAX_POOL_SIZE:60}
## maximum idle time for connection
spring.datasource.hikari.idleTimeout=${HIKARI_OPT_IDE_TIME_OUT:60000}
## name
spring.datasource.hikari.poolName=SpringBootJPAHikariCP
## maximum lifetime in milliseconds of a connection in the pool after it is closed.
spring.datasource.hikari.maxLifetime=${HIKARI_OPT_MAX_LIFE_TIME:1800000}
## maximum number of milliseconds that a client will wait for a connection
spring.datasource.hikari.connectionTimeout=${HIKARI_OPT_CON_TIME_OUT:30000}
## hikari leak detection
spring.datasource.hikari.leakDetectionThreshold=${HIKARI_LD_THRESHOLD:0}

#Jobrunr
org.jobrunr.background-job-server.enabled=true
org.jobrunr.dashboard.enabled=true